FramePyramid-Types DEFINITIONS ::=
BEGIN
IMPORTS
T-UInt32 FROM TASTE-BasicTypes 
T-Double FROM TASTE-ExtendedTypes 
Frame FROM Frame-Types;

--- Definition of pyramidMaxLevel
pyramidMaxLevels       T-UInt32 ::= 5

FramePyramid ::= SEQUENCE
{
    levels    T-UInt32,    -- Number of levels in the pyramid
    ratio            T-Double,    -- This is the ratio between the dimensions of consecutive pyramids

    frames           SEQUENCE (SIZE(0..pyramidMaxLevels)) OF Frame -- This is the set of images contained in the pyramid
}

END
